components:
  schemas:

    UpdateClass:
      type: object
      properties:

        topic_id:
          type: string
          format: uuid
          description: Topic ID for the class
          example: "018f22d5-4b3a-7c21-b93f-9a5aefc1b847"

        teacher_id:
          type: string
          format: uuid
          description: Teacher ID
          example: "018f22d5-4b3a-7c21-b93f-9a5aefc1b847"

        additional_students:
          type: array
          maxItems: 20
          items:
            type: string
            format: uuid
          description: IDs of additional students (maximum 20)
          example: ["018f22d5-4b3a-7c21-b93f-9a5aefc1b847", "018f22d5-4b3a-7c21-b93f-9a5aefc1b848"]

        start_time:
          type: string
          format: date-time
          description: Class start date and time (ISO 8601)
          example: "2024-01-15T10:00:00.000Z"
